<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:02 CET 2009 -->
<TITLE>
MultiValueMap
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.map.MultiValueMap interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="MultiValueMap";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MultiValueMap.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/map/SingleValueMap.html" title="class in ch.javasoft.util.map"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/map/MultiValueMap.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MultiValueMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.map</FONT>
<BR>
Interface MultiValueMap&lt;K,V&gt;</H2>
<DL>
<DT><B>All Known Subinterfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/map/IntIntMultiValueMap.html" title="interface in ch.javasoft.util.map">IntIntMultiValueMap</A></DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../ch/javasoft/util/map/AbstractMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMultiValueMap</A>, <A HREF="../../../../ch/javasoft/util/map/AbstractMutableMultiValueMap.html" title="class in ch.javasoft.util.map">AbstractMutableMultiValueMap</A>, <A HREF="../../../../ch/javasoft/util/map/DefaultIntIntMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultIntIntMultiValueMap</A>, <A HREF="../../../../ch/javasoft/util/map/DefaultMultiValueMap.html" title="class in ch.javasoft.util.map">DefaultMultiValueMap</A>, <A HREF="../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map">JoinedMultiValueMap</A>, <A HREF="../../../../ch/javasoft/util/map/SingleValueMap.html" title="class in ch.javasoft.util.map">SingleValueMap</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.49"><B>MultiValueMap&lt;K,V&gt;</B></A></DL>
</PRE>

<P>
<code>MultiValueMap</code> is a mapping of one key to multiple values. 
 Multiple here means zero to many values. This interface is implemented by 
 mutable and immutable mappings. Immutable mappings throw an 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang"><CODE>UnsupportedOperationException</CODE></A> at mutating methods.
 <p>
 This class is similar to <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util"><CODE>Map</CODE></A>, but manages multiple values for the
 same key.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#add(K, V)">add</A></B>(<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&nbsp;key,
       <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given value to the multi value map</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#addAll(K, java.util.Collection)">addAll</A></B>(<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&nbsp;key,
             <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given values to the multi value map</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#addAll(K, V...)">addAll</A></B>(<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&nbsp;key,
             <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>...&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given values to the multi value map</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#addAll(java.util.Map)">addAll</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the key/value map entries of the given map to this multi value map</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#addAll(ch.javasoft.util.map.MultiValueMap)">addAll</A></B>(<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&nbsp;mapping)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the key/value-collection entries of the given mapping to this key 
 collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#addAllNested(java.util.Map)">addAllNested</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&gt;&nbsp;map)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the key/value-collection entries of the given map to this key 
 collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#asCollectionMap()">asCollectionMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a map with keys and collections of values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#asSingleValueMap()">asSingleValueMap</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a map with keys and the first value associated with that key.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes all entries from this mapping</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#contains(java.lang.Object)">contains</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the value collection is non-empty</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#contains(java.lang.Object, V)">contains</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key,
                 <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if the value collection contains at least one occurrence of
 the given value</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#count(java.lang.Object)">count</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of values in the value collection</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#get(java.lang.Object)">get</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a collection for all values belonging to the specified key, or
 an empty collection if no such key collection exists yet.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#getFirst(java.lang.Object)">getFirst</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the first value of the value collection, or null if no such value
 exists</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>,<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#invert()">invert</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an inverted mapping, where the key can be asked knowing the
 value.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#isEmpty()">isEmpty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns true if this map is empty</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#keySet()">keySet</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a set containing all keys.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#keySize()">keySize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of keys contained in this mapping</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#remove(java.lang.Object)">remove</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns all values belonging to this key, i.e.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#remove(java.lang.Object, V)">remove</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key,
             <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a single value of the value collection, if it exists</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#values()">values</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an iterable for all values in this mapping.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html#valueSize()">valueSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of values contained in this mapping</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="add(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="add(K, V)"><!-- --></A><H3>
add</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.61"><B>add</B></A>(<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&nbsp;key,
            <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&nbsp;value)</PRE>
<DL>
<DD>Adds the given value to the multi value map
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>value</CODE> - the value to add
<DT><B>Returns:</B><DD>true if this map has changed, which is usually the case. If sets
                        are used as key collections, however, the method could also 
                        return false if the given value already existed.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="addAll(K, V...)"><!-- --></A><H3>
addAll</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.72"><B>addAll</B></A>(<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&nbsp;key,
               <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>...&nbsp;values)</PRE>
<DL>
<DD>Adds the given values to the multi value map
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>values</CODE> - the values to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(java.util.Map)"><!-- --></A><H3>
addAll</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.82"><B>addAll</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&nbsp;map)</PRE>
<DL>
<DD>Adds the key/value map entries of the given map to this multi value map
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>map</CODE> - the map containing key/value-collection entries to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(java.lang.Object,java.util.Collection)"><!-- --></A><A NAME="addAll(K, java.util.Collection)"><!-- --></A><H3>
addAll</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.93"><B>addAll</B></A>(<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&nbsp;key,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&nbsp;values)</PRE>
<DL>
<DD>Adds the given values to the multi value map
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>values</CODE> - the values to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(ch.javasoft.util.map.MultiValueMap)"><!-- --></A><H3>
addAll</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.104"><B>addAll</B></A>(<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&nbsp;mapping)</PRE>
<DL>
<DD>Adds the key/value-collection entries of the given mapping to this key 
 collection
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>mapping</CODE> - the mapping containing key/value-collection entries to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="addAllNested(java.util.Map)"><!-- --></A><H3>
addAllNested</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.116"><B>addAllNested</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&gt;&nbsp;map)</PRE>
<DL>
<DD>Adds the key/value-collection entries of the given map to this key 
 collection
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>map</CODE> - the map containing key/value-collection entries to add
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="remove(java.lang.Object)"><!-- --></A><H3>
remove</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.127"><B>remove</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</PRE>
<DL>
<DD>Returns all values belonging to this key, i.e. the value collection is
 cleared
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="remove(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="remove(java.lang.Object, V)"><!-- --></A><H3>
remove</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.138"><B>remove</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key,
               <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&nbsp;value)</PRE>
<DL>
<DD>Returns a single value of the value collection, if it exists
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>value</CODE> - the value to remove
<DT><B>Returns:</B><DD>true if this map has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.147"><B>clear</B></A>()</PRE>
<DL>
<DD>Removes all entries from this mapping
<P>
<DD><DL>

<DT><B>Returns:</B><DD>true if this mapping has changed as a consequence of this 
                        operation
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/UnsupportedOperationException.html" title="class or interface in java.lang">UnsupportedOperationException</A></CODE> - if this is an immutable map</DL>
</DD>
</DL>
<HR>

<A NAME="get(java.lang.Object)"><!-- --></A><H3>
get</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.159"><B>get</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</PRE>
<DL>
<DD>Returns a collection for all values belonging to the specified key, or
 an empty collection if no such key collection exists yet. For existing
 keys, the returned collection is non-empty.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>the value collection for the given key, never null, and 
                        non-empty for existing keys</DL>
</DD>
</DL>
<HR>

<A NAME="getFirst(java.lang.Object)"><!-- --></A><H3>
getFirst</H3>
<PRE>
<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A> <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.169"><B>getFirst</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</PRE>
<DL>
<DD>Returns the first value of the value collection, or null if no such value
 exists
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>the first value of the value collection, or null if no such 
                        value exists</DL>
</DD>
</DL>
<HR>

<A NAME="count(java.lang.Object)"><!-- --></A><H3>
count</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.177"><B>count</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</PRE>
<DL>
<DD>Returns the number of values in the value collection
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>the number of values in the value collection</DL>
</DD>
</DL>
<HR>

<A NAME="contains(java.lang.Object)"><!-- --></A><H3>
contains</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.185"><B>contains</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key)</PRE>
<DL>
<DD>Returns true if the value collection is non-empty
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection
<DT><B>Returns:</B><DD>true if at least one value exists in the value collection</DL>
</DD>
</DL>
<HR>

<A NAME="contains(java.lang.Object,java.lang.Object)"><!-- --></A><A NAME="contains(java.lang.Object, V)"><!-- --></A><H3>
contains</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.195"><B>contains</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A>&nbsp;key,
                 <A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&nbsp;value)</PRE>
<DL>
<DD>Returns true if the value collection contains at least one occurrence of
 the given value
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the key which identifies the value collection<DD><CODE>value</CODE> - the value to look for
<DT><B>Returns:</B><DD>true if at least one such value exists in the value collection</DL>
</DD>
</DL>
<HR>

<A NAME="keySet()"><!-- --></A><H3>
keySet</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.202"><B>keySet</B></A>()</PRE>
<DL>
<DD>Returns a set containing all keys. Each value collection associated with
 the returned keys is non-empty
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the set of keys identifying non-empty value collections</DL>
</DD>
</DL>
<HR>

<A NAME="values()"><!-- --></A><H3>
values</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.208"><B>values</B></A>()</PRE>
<DL>
<DD>Returns an iterable for all values in this mapping.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>an iterator for all values contained in this mapping</DL>
</DD>
</DL>
<HR>

<A NAME="asSingleValueMap()"><!-- --></A><H3>
asSingleValueMap</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.218"><B>asSingleValueMap</B></A>()</PRE>
<DL>
<DD>Returns a map with keys and the first value associated with that key.
 <p> 
 Changing the returned map might or might not affect this multi value map, 
 depending on the implementation.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>a map with key and first associated value</DL>
</DD>
</DL>
<HR>

<A NAME="invert()"><!-- --></A><H3>
invert</H3>
<PRE>
<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="interface in ch.javasoft.util.map">MultiValueMap</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>,<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.229"><B>invert</B></A>()</PRE>
<DL>
<DD>Returns an inverted mapping, where the key can be asked knowing the
 value.
 <p> 
 Changing the returned map might or might not affect this multi value map, 
 depending on the implementation.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the inverted value-key mapping</DL>
</DD>
</DL>
<HR>

<A NAME="asCollectionMap()"><!-- --></A><H3>
asCollectionMap</H3>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Map.html" title="class or interface in java.util">Map</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">K</A>,? extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/map/MultiValueMap.html" title="type parameter in MultiValueMap">V</A>&gt;&gt; <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.240"><B>asCollectionMap</B></A>()</PRE>
<DL>
<DD>Returns a map with keys and collections of values. All collections in
 the map are non-empty.
 <p> 
 Changing the returned map might or might not affect this multi value map, 
 depending on the implementation.
<P>
<DD><DL>

<DT><B>Returns:</B><DD>a map with key/collection-of-value entries</DL>
</DD>
</DL>
<HR>

<A NAME="keySize()"><!-- --></A><H3>
keySize</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.245"><B>keySize</B></A>()</PRE>
<DL>
<DD>Returns the number of keys contained in this mapping
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="valueSize()"><!-- --></A><H3>
valueSize</H3>
<PRE>
int <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.250"><B>valueSize</B></A>()</PRE>
<DL>
<DD>Returns the number of values contained in this mapping
<P>
<DD><DL>

<DT><B>Returns:</B><DD>the total number of values</DL>
</DD>
</DL>
<HR>

<A NAME="isEmpty()"><!-- --></A><H3>
isEmpty</H3>
<PRE>
boolean <A HREF="../../../../src-html/ch/javasoft/util/map/MultiValueMap.html#line.257"><B>isEmpty</B></A>()</PRE>
<DL>
<DD>Returns true if this map is empty
<P>
<DD><DL>

<DT><B>Returns:</B><DD>true if this map is empty</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/MultiValueMap.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/map/JoinedMultiValueMap.html" title="class in ch.javasoft.util.map"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/map/SingleValueMap.html" title="class in ch.javasoft.util.map"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/map/MultiValueMap.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="MultiValueMap.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
